Summary:	This is the GNU TLS library.
Name:		gnutls
Version:	0.8.10
Release:	0.fdr.1.rh90
Epoch:		0
License:	LGPL/GPL
Group:		System Environment/Libraries
URL:		http://www.gnu.org/software/gnutls
Source0:	ftp://ftp.gnutls.org/pub/gnutls/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	opencdk-devel lzo-devel zlib-devel
#BuildRequires:	libtasn1-devel 

%package devel
Summary:	Files which are needed to develop applications using gnutls
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libgcrypt-devel opencdk-devel lzo-devel zlib-devel
#Requires:	libtasn1-devel 

%package utils
Summary:	Some gnutls-utilities
Group:		Applications/System
Requires:	%{name} = %{epoch}:%{version}-%{release}


%description
This is a TLS (Transport Layer Security) 1.0 and SSL (Secure Sockets
Layer) 3.0 implementation for the GNU project.


%description devel
This is a TLS (Transport Layer Security) 1.0 and SSL (Secure Sockets
Layer) 3.0 implementation for the GNU project.

This package contains headerfiles and libraries which are needed to
develop applications based on gnutls.


%description utils
This is a TLS (Transport Layer Security) 1.0 and SSL (Secure Sockets
Layer) 3.0 implementation for the GNU project.

This package contains some tools using gnutls.

#----------------------------------------

%prep
%setup -q

#----------------------------------------

%build
## For now, use the included libtasn1; gnutls does not work with
## version 0.2.x
%configure --with-included-libtasn1
%{__make} %{?_smp_mflags}

perl -pi -e 's!^(\S.*[\s"])-L/usr/lib([\s"])!\1\2!g;
             s!^(\S.*[\s"])-I/usr/include([\s"])!\1\2!g' */*-config

#----------------------------------------

%check
%{__make} check

#----------------------------------------

%install
rm -rf "$RPM_BUILD_ROOT" _doc
%{__make} DESTDIR="$RPM_BUILD_ROOT" install

mkdir -p _doc
cp -a doc/examples _doc/
rm -f _doc/examples/Makefile*

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

#----------------------------------------

%clean
rm -rf "$RPM_BUILD_ROOT"

#----------------------------------------

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING* ChangeLog NEWS README THANKS
%doc doc/TODO
%{_libdir}/*.so.*


%files devel
%defattr(-,root,root,-)
%doc doc/tex/gnutls.ps _doc/examples
%doc doc/README*
%{_bindir}/*-config
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_datadir}/aclocal/*


%files utils
%defattr(-,root,root,-)
%{_bindir}/gnutls-*


%changelog
* Fri Aug 15 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.8.10-0.fdr.1
- updated to 0.8.10

* Mon Jul 28 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.8.9-0.fdr.3
- changed License: to 'LGPL/GPL'
- made lzo-devel and zlib-devel requirements of the -devel package

* Mon Jul 14 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.8.9-0.fdr.2
- used %%{epoch} instead of a hardcoded '0'

* Tue Jul  1 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.8.9-0.fdr.1
- minor %%doc-files cleanups
- updated to 0.8.9

* Tue Jun 10 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0.8.8-0.fdr.1
- Initial build.

### Local Variables:
### compile-command: "cd .. && ./buildpkg gnutls"
### End:
